## icewm 1.2.37+1.3.4pre2

=== Makefile ===
################################################################################
# GNU make should only be needed in maintainer mode now
################################################################################
# Please run 'configure' first (generate it with autogen.sh)
################################################################################

srcdir     = .
top_srcdir = .

PACKAGE = 
VERSION = 1.3.4pre2

PREFIX = /usr
BINDIR = /usr/X11R6/bin
LIBDIR = /usr/share/icewm
CFGDIR = /etc/icewm
LOCDIR = /usr/share/locale
KDEDIR = /usr/share
DOCDIR = /usr/share/doc
MANDIR = /usr/share/man
GWMDIR = 

EXEEXT = 

INSTALL    = /usr/bin/install -c
INSTALLDIR = /usr/bin/install -c -m 755 -d
INSTALLBIN = ${INSTALL}
INSTALLLIB = ${INSTALL} -m 644
INSTALLETC = ${INSTALL} -m 644
INSTALLMAN = ${INSTALL} -m 644
MKFONTDIR  = /usr/bin/mkfontdir

DESTDIR     =

################################################################################

BINFILES    = $(top_srcdir)/src/icewm$(EXEEXT) $(top_srcdir)/src/icewm-session$(EXEEXT) $(top_srcdir)/src/icesh$(EXEEXT) $(top_srcdir)/src/icewmhint$(EXEEXT) $(top_srcdir)/src/icewmbg$(EXEEXT) $(top_srcdir)/src/icewmtray$(EXEEXT) $(top_srcdir)/src/icehelp$(EXEEXT) 
LIBFILES    = lib/preferences lib/winoptions lib/keys \
              lib/menu lib/toolbar # lib/programs
DOCFILES    = README BUGS CHANGES COPYING AUTHORS INSTALL VERSION icewm.lsm
MANFILES    = icewm.1
XPMDIRS     = icons ledclock taskbar mailbox cursors
THEMES      = nice motif win95 warp3 warp4 metal2 gtk2 Infadel2 nice2 \
              icedesert yellowmotif

GNOMEFILES  = lib/IceWM.desktop

all:		base nls
install:	install-base install-nls 

base icesound icehelp:
	@cd src; $(MAKE) $@

docs:
	@cd doc; $(MAKE) all

nls:
	@cd po; $(MAKE) all

gnome:

srcclean:
	@cd src; $(MAKE) clean

clean:  srcclean
	@cd doc; $(MAKE) clean

distclean: clean
	rm -f *~ config.cache config.log config.status install.inc \
	sysdep.inc src/config.h \
	lib/preferences \
	lib/menu lib/programs lib/keys lib/winoptions lib/toolbar

maintainer-clean: distclean
	rm -f icewm.spec icewm.lsm Makefile configure src/config.h.in
	@cd doc; $(MAKE) maintainer-clean

check:
	@cd src ; $(MAKE) check >/dev/null

dist:	distclean docs configure

# Makefile TABS *SUCK*
install-base: base
	@echo ------------------------------------------
	@echo "Installing binaries in $(DESTDIR)$(BINDIR)"
	@$(INSTALLDIR) "$(DESTDIR)$(BINDIR)"
	@for bin in $(BINFILES); do \
             $(INSTALLBIN) "$${bin}" "$(DESTDIR)$(BINDIR)"; \
         done
	
	@echo "Installing presets and icons in $(DESTDIR)$(LIBDIR)"
	@$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)"
	#-@$(INSTALLDIR) "$(DESTDIR)$(CFGDIR)"
	@for lib in $(LIBFILES); do \
             $(INSTALLLIB) "$${lib}" "$(DESTDIR)$(LIBDIR)"; \
         done

	@for xpmdir in $(XPMDIRS); do \
	     if test -d "lib/$${xpmdir}"; then \
		$(INSTALLDIR) "$(DESTDIR)$(LIBDIR)/$${xpmdir}"; \
		for pixmap in "lib/$${xpmdir}/"*.xpm; do \
		    $(INSTALLLIB) "$${pixmap}" "$(DESTDIR)$(LIBDIR)/$${xpmdir}"; \
		done; \
	    fi; \
        done
	
	@echo ------------------------------------------
	@for theme in $(THEMES); do \
	     SRCDIR="$(top_srcdir)" \
	     DESTDIR="$(DESTDIR)" \
	     LIBDIR="$(LIBDIR)" \
	     XPMDIRS="$(XPMDIRS)" \
	     INSTALLDIR="$(INSTALLDIR)" \
	     INSTALLLIB="$(INSTALLLIB)" \
	     MKFONTDIR="$(MKFONTDIR)" \
	     $(top_srcdir)/utils/install-theme.sh "$${theme}"; \
	done
	@#for a in $(ETCFILES) ; do $(INSTALLETC) "$$a" $(CFGDIR) ; done
	@echo ------------------------------------------

install-docs: docs
	@echo ------------------------------------------
	@rm -fr "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLDIR) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@echo "Installing documentation in $(DESTDIR)$(DOCDIR)"
	@$(INSTALLLIB) $(DOCFILES) "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.sgml "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@$(INSTALLLIB) "$(top_srcdir)/doc/"*.html "$(DESTDIR)$(DOCDIR)/icewm-$(VERSION)"
	@echo ------------------------------------------

install-nls: nls
	@echo ------------------------------------------
	@cd po; $(MAKE) install
	@echo ------------------------------------------

install-man:
	@$(INSTALLDIR) "$(DESTDIR)$(MANDIR)/man1"
	@for man in $(MANFILES); do \
		$(INSTALLMAN) doc/$$man.man $(DESTDIR)$(MANDIR)/man1/$$man; \
	done

install-gnome: gnome
	@echo ------------------------------------------
	@echo Installing icewm-gnome in $(DESTDIR)$(GWMDIR)
	@$(INSTALLDIR) "$(DESTDIR)$(GWMDIR)"
	@$(INSTALLLIB) "$(top_srcdir)/lib/IceWM.desktop" "$(DESTDIR)$(GWMDIR)"
	@echo ------------------------------------------

=== po/Makefile ===
srcdir =        .
top_srcdir =    ..

prefix  =       /usr
datadir =       ${prefix}/share

PACKAGE =	
LOCDIR =        /usr/share/locale

DESTDIR = 

SOURCES =       $(top_srcdir)/src/aapm.cc $(top_srcdir)/src/acpustatus.cc $(top_srcdir)/src/amailbox.cc $(top_srcdir)/src/apppstatus.cc $(top_srcdir)/src/aworkspaces.cc $(top_srcdir)/src/icehelp.cc $(top_srcdir)/src/icelist.cc $(top_srcdir)/src/icesame.cc $(top_srcdir)/src/icesh.cc $(top_srcdir)/src/iceskt.cc $(top_srcdir)/src/icesound.cc $(top_srcdir)/src/iceview.cc $(top_srcdir)/src/icewmbg.cc $(top_srcdir)/src/icewmhint.cc $(top_srcdir)/src/misc.cc $(top_srcdir)/src/movesize.cc $(top_srcdir)/src/testnetwmhints.cc $(top_srcdir)/src/testwinhints.cc $(top_srcdir)/src/themes.cc $(top_srcdir)/src/wmabout.cc $(top_srcdir)/src/wmapp.cc $(top_srcdir)/src/wmconfig.cc $(top_srcdir)/src/wmdialog.cc $(top_srcdir)/src/wmframe.cc $(top_srcdir)/src/wmoption.cc $(top_srcdir)/src/wmprog.cc $(top_srcdir)/src/wmsession.cc $(top_srcdir)/src/wmstatus.cc $(top_srcdir)/src/wmtaskbar.cc $(top_srcdir)/src/wmwinlist.cc $(top_srcdir)/src/wmwinmenu.cc $(top_srcdir)/src/yapp.cc $(top_srcdir)/src/ybutton.cc $(top_srcdir)/src/ycmdline.cc $(top_srcdir)/src/yconfig.cc $(top_srcdir)/src/ycursor.cc $(top_srcdir)/src/yfontcore.cc $(top_srcdir)/src/yfontxft.cc $(top_srcdir)/src/yicon.cc $(top_srcdir)/src/yimage.cc $(top_srcdir)/src/yinput.cc $(top_srcdir)/src/ylocale.cc $(top_srcdir)/src/ymenuitem.cc $(top_srcdir)/src/ymsgbox.cc $(top_srcdir)/src/ypaths.cc $(top_srcdir)/src/ypixbuf.cc $(top_srcdir)/src/ysmapp.cc $(top_srcdir)/src/yurl.cc $(top_srcdir)/src/yxapp.cc
POFILES =	be.po bg.po ca.po cs.po da.po de.po el.po en.po es.po fi.po fr.po hr.po hu.po id.po it.po ja.po ko.po lt.po lv.po mk.po nb.po nl.po pl.po pt_BR.po ro.po ru.po sk.po sl.po sv.po tr.po uk.po vi.po zh_CN.po zh_TW.po
POXFILES =	be.pox bg.pox ca.pox cs.pox da.pox de.pox el.pox en.pox es.pox fi.pox fr.pox hr.pox hu.pox id.pox it.pox ja.pox ko.pox lt.pox lv.pox mk.pox nb.pox nl.pox pl.pox pt_BR.pox ro.pox ru.pox sk.pox sl.pox sv.pox tr.pox uk.pox vi.pox zh_CN.pox zh_TW.pox
MOFILES =	be.mo bg.mo ca.mo cs.mo da.mo de.mo el.mo en.mo es.mo fi.mo fr.mo hr.mo hu.mo id.mo it.mo ja.mo ko.mo lt.mo lv.mo mk.mo nb.mo nl.mo pl.mo pt_BR.mo ro.mo ru.mo sk.mo sl.mo sv.mo tr.mo uk.mo vi.mo zh_CN.mo zh_TW.mo

INSTALL =       /usr/bin/install -c
INSTALLDIR =    /usr/bin/install -c -m 755 -d
INSTALLLIB =    ${INSTALL} -m 644
XGETTEXT =	/usr/bin/xgettext
MSGMERGE =	/usr/bin/msgmerge
MSGFMT =	/usr/bin/msgfmt

.SUFFIXES:
.SUFFIXES: .po .mo

all: $(MOFILES)

install: all
	@echo "Installing message catalogues in $(DESTDIR)$(LOCDIR)"
	@for catalog in $(MOFILES); do \
	     lang=`echo $${catalog} | sed -e 's/\.mo//'` ; \
	     msgdir="$(DESTDIR)$(LOCDIR)/$${lang}/LC_MESSAGES"; \
	     echo "Installing language: $${lang}" ; \
	     $(INSTALLDIR) "$${msgdir}"; \
	     $(INSTALLLIB) "$${catalog}" "$${msgdir}/$(PACKAGE).mo"; \
	done

clean:
	rm -f  $(MOFILES) *~


# Merge existing translations and new code
merge: $(POXFILES)

# POTFILES.in lists files containing translatable strings
POTFILES.in: $(SOURCES)
	echo $(SOURCES) | tr ' ' '\n' > $@

# $(PACKAGE).pot is a template file for translations
$(PACKAGE).pot: POTFILES.in
	$(XGETTEXT) --default-domain=$(PACKAGE) --directory=../src \
	--add-comments --keyword=_ --keyword=N_ --files-from=POTFILES.in && \
	test ! -f $(PACKAGE).po || \
	( rm -f ./$(PACKAGE).pot && \
	  mv $(PACKAGE).po ./$(PACKAGE).pot )

# create new translations
%.pox: %.po $(PACKAGE).pot
	$(MSGMERGE) --indent --no-location --output-file $@ $< $(PACKAGE).pot

# convert portable into machine objects
.po.mo:
	$(MSGFMT) -o $@ $<


report.html: *.po Makefile
	@(echo "<h1>National Language Support Status Report</h1>"; \
	  date; echo "<p>"; \
	  for catalog in *.po; do \
	    echo -n "<li>$${catalog}"; \
	    sed -ne's|^.*"Last-Translator[^:]*:\(.*\)<.*$$| by\1<ul>|p' \
                "$${catalog}"; \
		echo -n ' <li>'; \
		LC_ALL=en $(MSGFMT) -o /dev/null "$${catalog}" 2>&1 |\
		sed -e's|, |<li>|g' -e's|\.$$||'; \
		echo '</ul>'; \
	  done ) >$@
	@cat $@

#upload-report: report.html
#	scp report.html massel@icewm.sf.net:icesf/libphp/nls.html

stats:
	for x in *.po ; do echo -ne "$$x:\t" `$(MSGFMT) --statistics $$x` ; done

update: merge
	for x in *.pox ; do cp -af $$x $${x%%pox}po ; done

=== src/Makefile ===
VERSION = 1.3.4pre2
HOSTOS  = Linux 2.6.27.21-170.2.56.fc10.i686
HOSTCPU = i686

LIBDIR = /usr/share/icewm
CFGDIR = /etc/icewm
LOCDIR = /usr/share/locale
DOCDIR = /usr/share/doc

################################################################################

CXX =           g++
HOSTCXX =       g++
LD =            g++
HOSTLD =        g++
EXEEXT =        

DEBUG =         
GCCDEP =        
DEFS =          -DHAVE_CONFIG_H \
                -DLIBDIR='"$(LIBDIR)"' \
                -DCFGDIR='"$(CFGDIR)"' \
                -DLOCDIR='"$(LOCDIR)"' \
                -DKDEDIR='"$(KDEDIR)"' \
                -DPACKAGE='"icewm"' \
                -DVERSION='"$(VERSION)"' \
                -DHOSTOS='"$(HOSTOS)"' \
                -DHOSTCPU='"$(HOSTCPU)"' \
                -DEXEEXT='"$(EXEEXT)"' \
                -DICEWMEXE='"icewm$(EXEEXT)"' \
                -DICEWMTRAYEXE='"icewmtray$(EXEEXT)"' \
                -DICEWMBGEXE='"icewmbg$(EXEEXT)"' \
                -DICESMEXE='"icewm-session$(EXEEXT)"' \
                -DICEHELPEXE='"icehelp$(EXEEXT)"' \
                -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'

CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wconversion -Wwrite-strings -Winline -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
	         -I/usr/include/freetype2   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    # `fc-config --cflags`
LFLAGS =	 
LIBS =           `pkg-config gdk-pixbuf-xlib-2.0 --libs` 

CORE_LIBS =     -lXinerama  -lSM -lICE  -lX11   -lXrandr -lXrender -lXext -lXft -lXrender -lfontconfig -lfreetype -lX11   # `fc-config --libs`
IMAGE_LIBS =    -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
AUDIO_LIBS =    
GNOME1_LIBS =    
GNOME2_LIBS =    

################################################################################

libice_OBJS = ref.o \
        mstring.o \
	upath.o \
        yapp.o yxapp.o ytimer.o ywindow.o ypaint.o ypopup.o \
        yworker.o \
        misc.o ycursor.o ysocket.o \
        ypaths.o ypixbuf.o ylocale.o yarray.o ypipereader.o \
        yxembed.o yconfig.o yprefs.o \
        yfont.o yfontcore.o yfontxft.o \
        ypixmap.o \
	yimage.o \
        yimage_gdk.o yimage_imlib.o yimage_xpm.o \
        ytooltip.o # FIXME
        
libitk_OBJS = \
	ymenu.o ylabel.o yscrollview.o \
        ymenuitem.o yscrollbar.o ybutton.o ylistbox.o yinput.o \
        yicon.o \
        wmconfig.o # FIXME

genpref_OBJS = \
	genpref.o

icewm_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icewm_OBJS = \
        ymsgbox.o ydialog.o yurl.o \
        wmsession.o wmwinlist.o wmtaskbar.o wmwinmenu.o \
        wmdialog.o wmabout.o wmswitch.o wmstatus.o \
        wmoption.o wmaction.o \
        wmcontainer.o wmclient.o \
        wmmgr.o wmapp.o \
        wmframe.o wmbutton.o wmminiicon.o wmtitle.o movesize.o \
        themes.o decorate.o browse.o \
        wmprog.o \
        atasks.o aworkspaces.o amailbox.o aclock.o acpustatus.o \
	apppstatus.o aaddressbar.o objbar.o aapm.o atray.o ysmapp.o \
        yxtray.o \
        $(libitk_OBJS) $(libice_OBJS)

icesh_LIBS = \
	$(CORE_LIBS)
icesh_OBJS = \
	icesh.o misc.o

icewm-session_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icewm-session_OBJS = \
	icesm.o $(libice_OBJS)

icewmhint_LIBS = \
	$(CORE_LIBS)
icewmhint_OBJS = \
	icewmhint.o

icewmbg_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icewmbg_OBJS = \
	icewmbg.o $(libice_OBJS)

icesound_LIBS = \
	$(CORE_LIBS) $(AUDIO_LIBS)
icesound_OBJS = \
	icesound.o misc.o ycmdline.o

icewm-menu-gnome1_LIBS = \
	$(CORE_LIBS) $(GNOME1_LIBS)
icewm-menu-gnome1_OBJS = \
	gnome.o misc.o ycmdline.o yarray.o

icewm-menu-gnome2_LIBS = \
	$(CORE_LIBS) $(GNOME2_LIBS)
icewm-menu-gnome2_OBJS = \
	gnome2.o misc.o ycmdline.o yarray.o

icehelp_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icehelp_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) icehelp.o

iceclock_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) iceclock.o aclock.o
iceclock_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icebar_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) \
        wmtaskbar.o \
        wmprog.o browse.o themes.o wmaction.o \
	amailbox.o aclock.o acpustatus.o apppstatus.o aaddressbar.o objbar.o
icewmtray_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) yxtray.o icetray.o
icewmtray_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icesame_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) icesame.o
icesame_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icelist_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) icelist.o
icelist_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
iceview_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) iceview.o
iceview_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
iceicon_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) iceicon.o
iceicon_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
icerun_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) icerun.o
icerun_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS)
iceskt_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) iceskt.o
testmenus_LIBS = \
	$(CORE_LIBS) $(IMAGE_LIBS) 
testmenus_OBJS = \
	$(libitk_OBJS) $(libice_OBJS) testmenus.o wmprog.o wmaction.o themes.o browse.o
testwinhints_OBJS= \
        testwinhints.o
testwinhints_LIBS = \
        $(CORE_LIBS) $(IMAGE_LIBS)

testnetwmhints_OBJS= \
        testnetwmhints.o
testnetwmhints_LIBS = \
        $(CORE_LIBS) $(IMAGE_LIBS)

testmap_OBJS = \
        testmap.o
testmap_LIBS = \
        $(CORE_LIBS) $(IMAGE_LIBS)

testlocale_OBJS = \
	testlocale.o ylocale.o misc.o
testarray_OBJS = \
	testarray.o yarray.o misc.o

################################################################################

APPLICATIONS = icewm icewm-session icesh icewmhint icewmbg icewmtray icehelp
TESTCASES = testarray testlocale testmap testmenus testnetwmhints testwinhints iceview icesame iceicon icerun icelist
OBJECTS =  $(icewm_OBJS) $(icewm-session_OBJS) $(icesh_OBJS) $(icewmhint_OBJS) $(icewmbg_OBJS) $(icewmtray_OBJS) $(icehelp_OBJS)  $(testarray_OBJS) $(testlocale_OBJS) $(testmap_OBJS) $(testmenus_OBJS) $(testnetwmhints_OBJS) $(testwinhints_OBJS) $(iceview_OBJS) $(icesame_OBJS) $(iceicon_OBJS) $(icerun_OBJS) $(icelist_OBJS)
BINARIES =  icewm$(EXEEXT) icewm-session$(EXEEXT) icesh$(EXEEXT) icewmhint$(EXEEXT) icewmbg$(EXEEXT) icewmtray$(EXEEXT) icehelp$(EXEEXT)  testarray$(EXEEXT) testlocale$(EXEEXT) testmap$(EXEEXT) testmenus$(EXEEXT) testnetwmhints$(EXEEXT) testwinhints$(EXEEXT) iceview$(EXEEXT) icesame$(EXEEXT) iceicon$(EXEEXT) icerun$(EXEEXT) icelist$(EXEEXT)

################################################################################

all:	base
base:	 icewm$(EXEEXT) icewm-session$(EXEEXT) icesh$(EXEEXT) icewmhint$(EXEEXT) icewmbg$(EXEEXT) icewmtray$(EXEEXT) icehelp$(EXEEXT) genpref$(EXEEXT) ../lib/preferences
tests:	 testarray$(EXEEXT) testlocale$(EXEEXT) testmap$(EXEEXT) testmenus$(EXEEXT) testnetwmhints$(EXEEXT) testwinhints$(EXEEXT) iceview$(EXEEXT) icesame$(EXEEXT) iceicon$(EXEEXT) icerun$(EXEEXT) icelist$(EXEEXT)
clean:
	rm -f $(BINARIES) genpref$(EXEEXT) *.o *.d *~

.PHONY: all base tests clean

################################################################################

%.o: %.cc
	@echo "  CXX     " $@
	@$(CXX) $(CXXFLAGS) $(GCCDEP) -c $<

$(BINARIES):
	@echo "  LD      " $@
	@$(LD) -o $@ $($(@:$(EXEEXT)=)_OBJS) $(LFLAGS) $($(@:$(EXEEXT)=)_LFLAGS) $(LIBS) $($(@:$(EXEEXT)=)_LIBS)

genpref.o: genpref.cc
	@echo "  HOSTCXX " $@
	@$(HOSTCXX) $(CXXFLAGS) $(GCCDEP) -c $<
	
genpref$(EXEEXT):
	@echo "  HOSTLD  " $@
	@$(HOSTLD) -o $@ $(genpref_OBJS)

################################################################################

gnome.o: gnome.cc
	@echo "  CXX     " $@
	@$(CXX) $(CXXFLAGS)   $(GCCDEP) -c $<

gnome2.o: gnome2.cc
	@echo "  CXX     " $@
	@$(CXX) $(CXXFLAGS)   $(GCCDEP) -c $<

################################################################################

#libice.so: $(libice_OBJS)
#	-@rm -f $@
#	ld -shared -o $@ $(libice_OBJS)

wmabout.o: ../VERSION

../lib/preferences: genpref$(EXEEXT)
	@echo "  GENPREF " $@
	@./genpref$(EXEEXT) >../lib/preferences

genpref$(EXEEXT): $(genpref_OBJS)

################################################################################

check:	all tests
	./icewm$(EXEEXT) --help >/dev/null
	./testarray$(EXEEXT)
	./testlocale$(EXEEXT)

################################################################################
#END

icewm$(EXEEXT): $(icewm_OBJS)
icewm-session$(EXEEXT): $(icewm-session_OBJS)
icesh$(EXEEXT): $(icesh_OBJS)
icewmhint$(EXEEXT): $(icewmhint_OBJS)
icewmbg$(EXEEXT): $(icewmbg_OBJS)
icewmtray$(EXEEXT): $(icewmtray_OBJS)
icehelp$(EXEEXT): $(icehelp_OBJS)
testarray$(EXEEXT): $(testarray_OBJS)
testlocale$(EXEEXT): $(testlocale_OBJS)
testmap$(EXEEXT): $(testmap_OBJS)
testmenus$(EXEEXT): $(testmenus_OBJS)
testnetwmhints$(EXEEXT): $(testnetwmhints_OBJS)
testwinhints$(EXEEXT): $(testwinhints_OBJS)
iceview$(EXEEXT): $(iceview_OBJS)
icesame$(EXEEXT): $(icesame_OBJS)
iceicon$(EXEEXT): $(iceicon_OBJS)
icerun$(EXEEXT): $(icerun_OBJS)
icelist$(EXEEXT): $(icelist_OBJS)

## icewm 1.3.6

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 srcdir     = .
 top_srcdir = .
 
-PACKAGE = 
-VERSION = 1.3.4pre2
+PACKAGE = icewm
+VERSION = 1.3.6
 
 PREFIX = /usr
 BINDIR = /usr/X11R6/bin
@@ -18,7 +18,6 @@
 KDEDIR = /usr/share
 DOCDIR = /usr/share/doc
 MANDIR = /usr/share/man
-GWMDIR = 
 
 EXEEXT = 
 
@@ -43,8 +42,6 @@
 THEMES      = nice motif win95 warp3 warp4 metal2 gtk2 Infadel2 nice2 \
               icedesert yellowmotif
 
-GNOMEFILES  = lib/IceWM.desktop
-
 all:		base nls
 install:	install-base install-nls 
 
@@ -56,8 +53,6 @@
 
 nls:
 	@cd po; $(MAKE) all
-
-gnome:
 
 srcclean:
 	@cd src; $(MAKE) clean
@@ -140,9 +135,10 @@
 		$(INSTALLMAN) doc/$$man.man $(DESTDIR)$(MANDIR)/man1/$$man; \
 	done
 
-install-gnome: gnome
+install-desktop:
 	@echo ------------------------------------------
-	@echo Installing icewm-gnome in $(DESTDIR)$(GWMDIR)
-	@$(INSTALLDIR) "$(DESTDIR)$(GWMDIR)"
-	@$(INSTALLLIB) "$(top_srcdir)/lib/IceWM.desktop" "$(DESTDIR)$(GWMDIR)"
+	@$(INSTALLDIR) "$(DESTDIR)/usr/share/xsessions"
+	@$(INSTALLDIR) "$(DESTDIR)/usr/share/applications"
+	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm-session.desktop" "$(DESTDIR)/usr/share/xsessions/icewm-session.desktop"
+	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm.desktop" "$(DESTDIR)/usr/share/applications/icewm.desktop"
 	@echo ------------------------------------------

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION = 1.3.4pre2
-HOSTOS  = Linux 2.6.27.21-170.2.56.fc10.i686
+VERSION = 1.3.6
+HOSTOS  = Linux 2.6.27.41-170.2.117.fc10.i686
 HOSTCPU = i686
 
 LIBDIR = /usr/share/icewm
@@ -34,7 +34,7 @@
                 -DICEHELPEXE='"icehelp$(EXEEXT)"' \
                 -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'
 
-CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wconversion -Wwrite-strings -Winline -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
+CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
 	         -I/usr/include/freetype2   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    # `fc-config --cflags`
 LFLAGS =	 
 LIBS =           `pkg-config gdk-pixbuf-xlib-2.0 --libs`

## icewm 1.3.7~pre2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 top_srcdir = .
 
 PACKAGE = icewm
-VERSION = 1.3.6
+VERSION = 1.3.7pre2
 
 PREFIX = /usr
 BINDIR = /usr/X11R6/bin
@@ -33,7 +33,7 @@
 
 ################################################################################
 
-BINFILES    = $(top_srcdir)/src/icewm$(EXEEXT) $(top_srcdir)/src/icewm-session$(EXEEXT) $(top_srcdir)/src/icesh$(EXEEXT) $(top_srcdir)/src/icewmhint$(EXEEXT) $(top_srcdir)/src/icewmbg$(EXEEXT) $(top_srcdir)/src/icewmtray$(EXEEXT) $(top_srcdir)/src/icehelp$(EXEEXT) 
+BINFILES    = $(top_srcdir)/src/icewm$(EXEEXT) $(top_srcdir)/src/icewm-session$(EXEEXT) $(top_srcdir)/src/icesh$(EXEEXT) $(top_srcdir)/src/icewmhint$(EXEEXT) $(top_srcdir)/src/icewmbg$(EXEEXT) $(top_srcdir)/src/icewmtray$(EXEEXT) $(top_srcdir)/src/icehelp$(EXEEXT)  icewm-set-gnomewm
 LIBFILES    = lib/preferences lib/winoptions lib/keys \
               lib/menu lib/toolbar # lib/programs
 DOCFILES    = README BUGS CHANGES COPYING AUTHORS INSTALL VERSION icewm.lsm

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION = 1.3.6
-HOSTOS  = Linux 2.6.27.41-170.2.117.fc10.i686
-HOSTCPU = i686
+VERSION = 1.3.7pre2
+HOSTOS  = Linux 2.6.33-1.fc13.x86_64
+HOSTCPU = x86_64
 
 LIBDIR = /usr/share/icewm
 CFGDIR = /etc/icewm
@@ -35,12 +35,12 @@
                 -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'
 
 CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
-	         -I/usr/include/freetype2   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    # `fc-config --cflags`
+	         -I/usr/include/freetype2   -pthread -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    # `fc-config --cflags`
 LFLAGS =	 
 LIBS =           `pkg-config gdk-pixbuf-xlib-2.0 --libs` 
 
 CORE_LIBS =     -lXinerama  -lSM -lICE  -lX11   -lXrandr -lXrender -lXext -lXft -lXrender -lfontconfig -lfreetype -lX11   # `fc-config --libs`
-IMAGE_LIBS =    -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+IMAGE_LIBS =    -pthread -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
 AUDIO_LIBS =    
 GNOME1_LIBS =    
 GNOME2_LIBS =

=== debian/changelog ===
icewm (1.3.7~pre2-1) unstable; urgency=low

  * New upstream preview release
  * Minor packaging fixes
  * Migrated to dpkg format 3.0 (quilt)

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Apr 2010 21:45:34 +0200

icewm (1.3.6-3) unstable; urgency=low

  * Fixed file descriptor leak in ifstate_exact_check.dpatch

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 16:04:46 +0200

icewm (1.3.6-2) unstable; urgency=low

  * adaptations to use Iceweasel without Firefox compatibility wrappers
  * imap_unseen.dpatch: better display of unseen messages in IMAP folders,
    patch by Alexander Galanin with minor changes (closes: #539956)
  * ifstate_exact_check.dpatch: explicite check of certain interface's state
    instead of mere looking for its presense (closes: #563731)

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 13:29:36 +0200

icewm (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Jan 2010 18:27:20 +0100

icewm (1.3.6~pre2-1) unstable; urgency=low

  * New upstream release
    + solves rare cases of X11 control lockup (closes: #563633)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 Jan 2010 21:43:29 +0100

icewm (1.3.6~pre1-1) unstable; urgency=low

  * New upstream release
    + misc_fixes.dpatch and iconify_on_wm_hints.dpatch fully integrated by
      upstream, disabled here
    + fixes shape drawing when gradients are in use (closes: #544222)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Jan 2010 20:32:48 +0100

icewm (1.3.5-2) unstable; urgency=low

  * misc_fixes.dpatch: reviewed and reenabled still required fixes 
    (closes: #552292 and closes some others again)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Dec 2009 19:42:29 +0100

icewm (1.3.5-1) unstable; urgency=low

  * New upstream release
  * misc_fixes.dpatch: disabled, applied by upstream
  * package_build_fixes.dpatch: stripped down, partially applied by
    upstream. Print latency:... messages only when measure_latency 
    variable is set (closes: #561404)
  * i18n_updates.dpatch: refreshed for 1.3.5, added updated 
    pt_BR.po (closes: #561620)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Dec 2009 21:53:41 +0100

icewm (1.2.37+1.3.4pre2-8) unstable; urgency=medium

  * misc_fixes.dpatch: array delete[] fix, by George Danchev (closes: #552371)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 20:54:35 +0100

icewm (1.2.37+1.3.4pre2-7) unstable; urgency=medium

  * misc_fixes.dpatch: force creation of nested submenu prior to adding the
    theme entry, thus preventing letter case related sorting confusgion later
  * misc_fixes.dpatch: skip NET_WM_ICON window icon method when the result has
    no contents, fixing fallback to legacy icons resolving (closes: #552292)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 18:59:27 +0100

icewm (1.2.37+1.3.4pre2-6) unstable; urgency=medium

  * i18n_updates.dpatch: included patch from Michael Kostylev to use proper
    format strings for network interface tooltip (closes: #551456, #539122)
  * misc_fixes.dpatch: implemented mstring::compareTo(...) correctly, fixing
    sorting of theme menu entries correctly. Also resolved calloc/delete
    mismatch in aapm.cc.

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 01:11:25 +0200

icewm (1.2.37+1.3.4pre2-5) unstable; urgency=low

  * revival of tray_hotfixes.dpatch: revert of a suspicious upstream change
    which seems to cause races and therefore abort display of tray icons
    completely (thanks to Stanislav Maslovski, closes: #474495)
  * misc_fixes.dpatch: added patch from Vladislav Naumov to restore window
    size parameters after fullscreen mode was requested from the application
    itself (closes: #549896)
  * debian_defaults.dpatch: added XF86WWW key config to support weird
    keyboards (closes: #513176). Also changed google.com to yahoo.com (no
    special reason, just keeping it fair).

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Oct 2009 20:56:24 +0200

icewm (1.2.37+1.3.4pre2-4) unstable; urgency=low

  * quick workaround for icewm crash (causing endless restarting) on oversized
    X properties (closes: #538010, #535887)
  * i18n updates from Ingo Brueckl, Alexander Galanin

 -- Eduard Bloch <blade@debian.org>  Sun, 26 Jul 2009 01:53:52 +0200

icewm (1.2.37+1.3.4pre2-3) unstable; urgency=low

  * Fixed installation of translations (SF bug#2816623, closes: #530650)
  * misc_fixes.dpatch: parser fix to protect against faulty data
    in wmicon blobs (closes: #534490)
  * i18n_updates.dpatch: Brazilian translation updates by Sérgio Cipolla,
    German translation updates by Eduard Bloch (closes: #533829)
  * Added permanent dh_icons call and appropriate debhelper dependency
  * Forced correct path of the HTML help files in the help browser startup

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Jul 2009 19:07:55 +0200

icewm (1.2.37+1.3.4pre2-2) unstable; urgency=low

  * Fixed Build-Deps (added libgnomeui-dev)

 -- Eduard Bloch <blade@debian.org>  Tue, 26 May 2009 00:58:50 +0200

icewm (1.2.37+1.3.4pre2-1) unstable; urgency=low

  * Based on upstream development branch release
    + using libgdk_pixbuf instead of Imlib1.x which is now deprecated 
      in Debian Unstable (closes: #456127)
    + fixes black application icon problem (closes: #354434, maybe also
      closes: #288590, #298995)
  * less verbosity of update-alternatives (closes: #508086)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 May 2009 16:17:28 +0200

icewm (1.2.37-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Jan 2009 00:18:14 +0100

icewm (1.2.36-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Dec 2008 21:23:34 +0100

icewm (1.2.35-1) unstable; urgency=low

  * New upstream release with one fix from CVS
  * Automatic linking with gcc -lsupc++ fixed (failed in recent versions),
    also using "-Wl,--as-needed"


=== debian/control ===
Source: icewm
Section: x11
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 5.0.51), libxrender-dev, libgnome2-dev, libgnomevfs2-dev, libgnome-desktop-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libesd0-dev, libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev (>= 1:3.5.4.2-3), libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, libxt-dev, autotools-dev, libgnomeui-dev
Build-Conflicts: libttf-dev
Standards-Version: 3.8.4

Package: icewm-common
Architecture: any
Conflicts: menu (<< 2.1.9-1)
Replaces: icewm (<< 1.2.14)
Suggests: icewm-themes, icepref, iceme, grun, xlockmore
Depends: ${misc:Depends}
Recommends: menu
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. Can emulate the look of
 Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of the above
 systems.
 Features multiple workspaces, opaque move/resize, task bar, window list,
 mailbox status, digital clock. Fast and small.
 .
 This package provides the common files for icewm, icewm-experimental and
 icewm-lite binary packages.

Package: icewm
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: ttf-bitstream-vera, icewm-gnome-support
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 GNOME support files can be found in the `icewm-gnome-support' package.
 .
 Extra themes are available from the icewm-themes package.

Package: icewm-gnome-support
Section: gnome
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gnome-control-center (<< 1:2.0), icewm-gnome
Provides: icewm-gnome
Replaces: icewm-gnome
Description: GNOME support files for IceWM
 This package provides all files needed for IceWM to enable GNOME
 related features.
 .
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif.

Package: icewm-lite
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package provides a minimal icewm binary with no support for
 taskbar and antialiased fonts.
 .
 Extra themes are available from the icewm-themes package.

Package: icewm-experimental
Architecture: any
Depends: icewm (= ${binary:Version}), icewm-common (= ${binary:Version}), ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package sometimes provides special IceWm versions with experimental
 features enabled. When the configurations of the packages do not diverge
 it simply enforces an upgrade to the current icewm package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for icewm

SHELL=/bin/bash

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

ICEWM_COMMON=$(CURDIR)/debian/icewm-common
ICEWM=$(CURDIR)/debian/icewm
ICEWM_GNOME_SUPP=$(CURDIR)/debian/icewm-gnome-support
ICEWM_LITE=$(CURDIR)/debian/icewm-lite
ICEWM_EXP=$(CURDIR)/debian/icewm-experimental
DOCDIR=/usr/share/doc/icewm-common

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ICONS=$(CURDIR)/debian/icons
GDM=$(CURDIR)/debian/gdm
CUSTOM=$(CURDIR)/debian/custom
MP=icewm-common.7

conf-exp: stamp-conf-exp

stamp-conf-exp:
	./configure $(confflags) \
		--disable-menus-gnome1 --disable-menus-gnome2 \
		--prefix=/usr --with-cfgdir=/etc/X11/icewm \
		--datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--enable-antialiasing  --enable-shaped-decorations \
		--enable-gradients \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--enable-guievents --with--esd-config=/usr/bin/esd-config

	$(MAKE) EXEEXT=-experimental
	$(MAKE) srcclean
	touch stamp-conf-exp

conf-lite: stamp-conf-lite
stamp-conf-lite:
	PATH="$(CURDIR)/debian:$(PATH)"	./configure $(confflags) --with-xpm --prefix=/usr \
		--disable-menus-gnome1 --disable-menus-gnome2 \
		--with-cfgdir=/etc/X11/icewm --datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls --enable-lite --disable-xfreetype \
		--enable-corefonts --with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--disable-taskbar  --disable-xrandr
	$(MAKE) EXEEXT=-lite
	$(MAKE) srcclean
	touch stamp-conf-lite

conf: stamp-conf

stamp-conf:
	PATH="$(CURDIR)/debian:$(PATH)"	./configure $(confflags) \
		--prefix=/usr --with-cfgdir=/etc/X11/icewm \
		--enable-menus-gnome2 \
		--datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--enable-antialiasing  --enable-shaped-decorations \
		--enable-gradients \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--enable-guievents --with--esd-config=/usr/bin/esd-config
	$(MAKE)
	touch stamp-conf

# backup, the Sarge default build rule
stamp-conf-original:
	./configure $(confflags) --with-imlib --prefix=/usr \
		--enable-menus-gnome2 \
		--with-cfgdir=/etc/X11/icewm --datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir --enable-shaped-decorations
	$(MAKE) 
	touch stamp-conf

build: build-stamp
build-stamp:
	dh_testdir
	chmod +x debian/kde-config
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	# Make icewm-experimental
#	-sh debian/patches/pmu_support.dpatch -patch
#	$(MAKE) $(MFLAGS) -f debian/rules conf-exp
#	-sh debian/patches/pmu_support.dpatch -unpatch

	# Make icewm-lite
	$(MAKE) $(MFLAGS) -f debian/rules conf-lite

	# Make icewm
	# default flavor does not clean the source!
	$(MAKE) $(MFLAGS) -f debian/rules conf

	#hm... best place to run that?!
	# cp -a po pod && cd pod && make merge && for x in *.po ; do cp $${x}x $$x ; done

	$(MAKE) -C doc

# making -experimental compat symlinks
	cd src ; for x in icewm-session icewm icewmhint icehelp icewmtray icewmbg icesh icesound genpref ; do ln -sf $$x $$x-experimental ; done

	# Generate the most exhaustive preference file, i.e. the one
	# from the experimental version.
	src/genpref-experimental > lib/preferences 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f *-stamp

	$(MAKE) srcclean EXEEXT=-experimental || true
	$(MAKE) srcclean EXEEXT=-lite || true
	$(MAKE) distclean || true

	# Extra clean ups
	$(MAKE) -C po clean || true
	rm -f stamp* `find . -name "*~"` Makefile icewm.lsm icewm.spec src/icesound-* config.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install everything but documentation
	$(MAKE) install-base install-nls install-desktop DESTDIR=$(ICEWM_COMMON)

	## icewm-common

	# Do not provide a programs files, it is added by the menu system
	rm -f $(ICEWM_COMMON)/etc/X11/icewm/programs

	# Install Debian custom files
	install -m 644 $(ICONS)/{mutt,mozilla,icewm}*.xpm \
		$(ICEWM_COMMON)/usr/share/icewm/icons
	-mv $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.xpm  $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.orig.xpm
	install -m 644 $(CUSTOM)/debian.xpm $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.xpm
	#install -m 644 $(CUSTOM)/{menu,toolbar} $(ICEWM_COMMON)/etc/X11/icewm
	install -m 644 $(CUSTOM)/toolbar $(CUSTOM)/menu $(ICEWM_COMMON)/etc/X11/icewm

	# Add some links
	dh_link -picewm-common

	# Move files in the right package directory
	mv $(ICEWM_COMMON)/usr/bin/icewm-set-gnomewm $(ICEWM_COMMON)/usr/share/icewm/
	mv $(ICEWM_COMMON)/usr/bin/* $(ICEWM)/usr/bin
	rm -rf $(ICEWM_COMMON)/usr/bin

	# Install documentation
	install -m 644 doc/*.html $(ICEWM_COMMON)/usr/share/doc/icewm-common/html
	install -m 644 doc/*.sgml $(ICEWM_COMMON)/usr/share/doc/icewm-common/sgml
	dh_installdocs -X.svn
	mv $(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ/source/* $(ICEWM_COMMON)/usr/share/doc/icewm-common/sgml && rm -rf $(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ/source

	# and add our bits to fix the font insanity with xft2
	dh_installexamples -picewm-common $(CURDIR)/debian/examples/preferences.fonts $(CURDIR)/debian/examples/preferences.noClickToFocus $(CURDIR)/debian/examples/focus_mode.noClickToFocus

	## icewm #####################################################

	# Install the fd.o X Sessions file
	install -m 644 $(GDM)/IceWM.desktop $(ICEWM)/usr/share/xsessions

	# new, made by upstream, not decided yet how to port to other flavors
	mv $(ICEWM_COMMON)/usr/share/xsessions/icewm-session.desktop $(ICEWM)/usr/share/xsessions
	# we already have one...
	-rm $(ICEWM_COMMON)/usr/share/applications/*desktop

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM)/usr/share/doc/icewm

	## icewm-gnome-support #######################################

	mv $(ICEWM)/usr/bin/icewm-menu-gnome2 $(ICEWM_GNOME_SUPP)/usr/bin
	install -m 755 -d $(ICEWM_GNOME_SUPP)/usr/share/icewm/contrib
	install -m 755 debian/icewm-config-fix.pl $(ICEWM_GNOME_SUPP)/usr/share/icewm/contrib/config-fix.pl
	install -m 755 debian/icewm-gnome $(ICEWM_GNOME_SUPP)/usr/bin/icewm-gnome
	mv $(ICEWM_COMMON)/usr/share/applications $(ICEWM_GNOME_SUPP)/usr/share

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_GNOME_SUPP)/usr/share/doc/icewm-gnome-support

	## icewm-lite ################################################

	install -m 755 src/ice*-lite $(ICEWM_LITE)/usr/bin
	install -m 644 $(GDM)/IceWM-Lite.desktop $(ICEWM_LITE)/usr/share/xsessions

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_LITE)/usr/share/doc/icewm-lite

	## icewm-experimental ########################################

	cp -a src/ice*-experimental $(ICEWM_EXP)/usr/bin
	install -m 644 $(GDM)/IceWM-Experimental.desktop $(ICEWM_EXP)/usr/share/xsessions

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_EXP)/usr/share/doc/icewm-experimental

	cd debian ; for x in icewm icewm-lite icewm-experimental ; do mkdir -p $$x/usr/share/lintian/overrides ; cp $$x.lintian $$x/usr/share/lintian/overrides/$$x ; done

binary-indep: build install
